TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.Admin Class Reference

This is the main class for administering a TIBCO Enterprise Message Service server. More...

## Public Member Functions
DetailedTransactionInfo | GetTransaction (TransactionInfo transaction)
| Get a specific xa transaction. More...
| Admin (string url, string userName, string password)
| This constructor is used to create an administrative connection to the server. More...
| Admin (string url, string userName, string password, Hashtable sslParams)
| This constructor is used to create an administrative connection to the server. More...
void | Close ()
| Close connection to the server. More...
void | SaveConfiguration ()
| Save any configuration changes to the server's config files. More...
void | UpdateServer (ServerInfo info)
| Update the server configuration. More...
void | Shutdown ()
| Shutdown the server. More...
void | Restart ()
| Restart the server. More...
void | RotateLog ()
| Rotate server's log file. More...
void | UpdateCRL ()
| Update server's CRL. More...
void | CreateCMListener (CMListenerInfo cmListener)
| Create (pre-register) TIBCO Rendezvous certified listener. More...
void | DeleteCMListener (CMListenerInfo cmListener)
| Delete TIBCO Rendezvous certified listener. More...
CMLedgerSubjectInfo[] | GetCMLedger (string pattern)
| Returns a summary of the contents of the ledger file of the server's default TIBCO Rendezvous certified messaging transport. More...
CMLedgerSubjectInfo[] | GetCMLedger (string transport, string pattern)
| Returns a summary of the contents of the transport's ledger file. More...
RouteInfo | GetRoute (string name)
| Returns route information or null if such route does not exist. More...
RouteInfo | CreateRoute (RouteInfo routeInfo)
| Create a new route. More...
void | UpdateRoute (RouteInfo routeInfo)
| Update route parameters. More...
void | DestroyRoute (string name)
| Destroy the route with specified name. More...
void | DestroyConnection (long connectionID)
| Destroy the client connection for the given connectionID. More...
QueueInfo | CreateQueue (QueueInfo queue)
| Create a queue based on the parameters from the given QueueInfo. More...
void | UpdateQueue (QueueInfo queue)
| Change the properties of the queue corresponding to the given QueueInfo. More...
void | DestroyQueue (string queueName)
| Destroy the queue for the given queue name. More...
void | DestroyQueues (string pattern)
| Destroy queues matching the given pattern. More...
QueueInfo | GetQueue (string queueName)
| Get the queue for the given queue name. More...
QueueInfo[] | GetQueues (string pattern)
| Get the information for queues that match the given pattern. More...
QueueInfo[] | GetQueues (string pattern, RequestDestInfo permanenceType)
| Get the information for the queues that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return queues only of specified types. More...
QueueInfo[] | GetQueues (string pattern, RequestDestInfo permanenceType, int cursorPosition, int cursorSize)
| Get the information for the queues that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return queues only of specified types. More...
void | PurgeQueue (string queueName)
| Purge pending messages from the queue for the given name. More...
void | PurgeQueues (string pattern)
| Purge pending messages from queues matching the given pattern. More...
TopicInfo | CreateTopic (TopicInfo topic)
| Create a topic based on the parameters from the given TopicInfo. More...
void | UpdateTopic (TopicInfo topic)
| Change the properties of the topic corresponding to the given TopicInfo. More...
void | DestroyTopic (string topicName)
| Destroy the topic for the given topic name. More...
void | DestroyTopics (string pattern)
| Destroy topics matching the given pattern. More...
TopicInfo | GetTopic (string topicName)
| Get the topic for the given topic name. More...
TopicInfo[] | GetTopics (string pattern)
| Get the information for the topics that match the given pattern. More...
TopicInfo[] | GetTopics (string pattern, RequestDestInfo permanenceType)
| Get the information for the topics that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return topics only of specified types. More...
TopicInfo[] | GetTopics (string pattern, RequestDestInfo permanenceType, int cursorPosition, int cursorSize)
| Get the information for the topics that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return topics only of specified types. More...
void | PurgeTopic (string topicName)
| Purge pending messages from the topic for the given name. More...
void | PurgeTopics (string pattern)
| Purge pending messages from topics matching the given pattern. More...
UserInfo | CreateUser (UserInfo user)
| Create a user based on the information in the given UserInfo. More...
void | DestroyUser (string userName)
| Destroy the user for the given userName. More...
void | UpdateUser (UserInfo userInfo)
| Save changes made to the given UserInfo. More...
UserInfo | GetUser (string userName)
| Get the user for the given username. More...
GroupInfo | CreateGroup (GroupInfo group)
| Create a group based on the information in the given GroupInfo. More...
void | DestroyGroup (string groupName)
| Destroy the group for the given groupName. More...
void | UpdateGroup (GroupInfo groupInfo)
| Save changes made to the given GroupInfo. More...
GroupInfo | GetGroup (string groupName)
| Get the group for the given name. More...
void | AddUserToGroup (string groupName, string userName)
| Add the user for the given userName to the group for the given groupName. More...
void | AddUsersToGroup (string groupName, string[] userNames)
| Add the users for the given array of userNames to the group for the given groupName. More...
void | RemoveUserFromGroup (string groupName, string userName)
| Remove the user for the given userName from the group for the given groupName. More...
void | RemoveUsersFromGroup (string groupName, string[] userNames)
| Remove the users for the given array of userNames from the group for the given groupName. More...
System.Object[] | GetPermissions (System.Object target)
| Get all permission entries for specified target. More...
System.Object[] | GetPermissions (UserInfo target, int flags)
| Get user permissions based on the flags set. More...
ACLEntry[] | GetQueueACLEntries (string queueName)
| Get all ACL entries pertaining to the queue with the given queueName. More...
ACLEntry[] | GetTopicACLEntries (string topicName)
| Get all ACL entries pertaining to the topic with the given topicName. More...
ACLEntry[] | GetUserACLEntries (string userName)
| Get all ACL entries pertaining to the user with the given userName. More...
ACLEntry[] | GetGroupACLEntries (string groupName)
| Get all permissions on destinations for specified group. More...
void | Grant (ACLEntry entry)
| Grant the permissions specified in the given ACLEntry. More...
void | Grant (ACLEntry[] acls)
| Grant the permissions specified in the given ACLEntries. More...
void | Grant (AdminACLEntry entry)
| Grant the administrative permissions. More...
void | Revoke (ACLEntry entry)
| Revoke the permissions specified in the given ACLEntry. More...
void | Revoke (ACLEntry[] acls)
| Revoke the permissions specified in the given ACLEntries. More...
void | Revoke (AdminACLEntry entry)
| Revoke the administrative permissions. More...
DurableInfo | GetDurable (string durableName, string clientID)
| Get the durable subscription information for the given durable name and clientID. More...
DurableInfo[] | GetDurables (string topicName)
| Get the durable subscription information for the given topic name. More...
void | PurgeDurable (string durableName, string clientID)
| Purge pending messages for the durable with given name and client ID. More...
void | CreateDurable (string topicName, string durableName, string clientID, string selector, bool nolocal, bool route)
| Create the durable with given name and client ID. More...
void | DestroyDurable (string durableName, string clientID)
| Destroy the durable with given name and client ID. More...
Message | GetMessage (string messageID)
| Get the message for the given message ID. More...
void | DestroyMessage (string messageID)
| Destroy the message for the given message ID. More...
Message[] | GetMessages (string correlationID)
| Get the messages that have the given correlation ID. More...
void | CreateConnectionFactory (string jndiName, ConnectionFactoryInfo cfi)
| Create a connection factory based on the given ConnectionFactoryInfo and bind it to the given name in the internal JNDI implementation. More...
void | UpdateConnectionFactory (string jndiName, ConnectionFactoryInfo cfi)
| Save changes to the connection factory stored at the given JNDI name using information from the given ConnectionFactoryInfo. More...
void | DestroyConnectionFactory (string jndiName)
| Destroy the connection factory bound to the given JNDI name. More...
void | BindQueue (string name, string queueName)
| Bind the queue for the given queue name to the given JNDI name. More...
void | BindTopic (string name, string topicName)
| Bind the topic for the given topic name to the given JNDI name. More...
void | Bind (string newName, string existingName)
| Bind an object already bound to an existing JNDI name to a new JNDI name. More...
void | Unbind (string name)
| Remove the binding between the given JNDI name and the object bound to it. More...
System.Object | Lookup (string name)
| Retrieve that administrative object bound to the given JNDI name. More...
ConsumerInfo[] | GetConsumersStatistics (long connectionID, string username, DestinationInfo destination)
| Get statistical information about consumers with specified parameters. More...
ProducerInfo[] | GetProducersStatistics (long connectionID, string username, DestinationInfo destination)
| Get the statistical information about producers with specified parameters. More...
TopicInfo[] | GetTopicsStatistics (string pattern)
| Get the statistical information for the topics that match the given pattern. More...
TopicInfo[] | GetTopicsStatistics (string pattern, int cursorPosition, int cursorSize)
| Get the statistical information for the topics that match the given pattern. More...
QueueInfo[] | GetQueuesStatistics (string pattern)
| Get the statistical information for the queues that match the given pattern. More...
QueueInfo[] | GetQueuesStatistics (string pattern, int cursorPosition, int cursorSize)
| Get the statistical information for the queues that match the given pattern. More...
RouteInfo | GetRouteStatistics (string name)
| Returns statistical information about the route with specified name. More...
void | CommitTransaction (TransactionInfo transaction)
| Commit the xa transaction. More...
void | RollbackTransaction (TransactionInfo transaction)
| Roll the xa transaction back. More...
TransportInfo | GetTransport (string transportName)
| Get the transport with a given name. More...
BridgeInfo[] | GetBridges (DestinationType type, string pattern)
| Get all the bridges known to the server where the source destination is of a given type and the source destination name matches the given pattern. More...
BridgeInfo | GetBridge (DestinationType type, string name)
| Get the bridge from a given destination. More...
JACIInfo | GetJACIInfo ()
| Get statistics on the JACI permissions cache. More...
void | ResetJACIStats ()
| Reset all JACI statistics counters to zero. More...
void | ClearJACICache ()
| Clear all entries out of the JACI results cache. More...
DestinationBridgeInfo | CreateDestinationBridge (DestinationBridgeInfo destBridge)
| Creates a destination bridge as specified by the DestinationBridgeInfo object. More...
void | DestroyDestinationBridge (DestinationType sourceType, string sourceName, DestinationType targetType, string targetName)
| Destroy the destination bridge between a source and a target More...
DestinationBridgeInfo | GetDestinationBridge (DestinationType sourceType, string sourceName, DestinationType targetType, string targetName)
| Returns the destination bridge between a source and a target More...
DestinationBridgeInfo[] | GetDestinationBridges (DestinationType sourceType, string sourcePattern)
| Get the destination bridges for all source destinations that match the given source type and source pattern. More...
bool | Compact (Store store, long timeout)
| Compact one of the server's store files until either no more compaction can be done or timeout seconds have elapsed, whichever occurs first. (See remarks for important warning). More...
bool | Compact (string name, long timeout)
| Compact one of the server's store files until either no more compaction can be done or timeout seconds have elapsed, whichever occurs first. (See remarks for important warning). More...
StoreInfo | GetStoreInfo (Store store)
| Get a summary of the usage of a store file. More...
StoreInfo | GetStoreInfo (String name)
| Get information about a store. More...
String[] | GetStores ()
| Get a list of configured stores. More...
ConsumerInfo[] | GetConsumers ()
| Returns all consumers in the server. Returned array may be of 0 length if there are no consumers in the server. Returned consumers are not sorted and placed in the array in any order. Application may need to sort the consumers in application-specific order if required. This method is equivalent to calling method `GetConsumers(null,null,null,false,0)`. See GetConsumers(Object,String,DestinationInfo,bool,int) for detailed information. More...
ConsumerInfo[] | GetConsumers (Object connectionID, String username, DestinationInfo destination, bool durable, int dataFlags)
| Returns consumers matching specified filters. Returned array may be of 0 length if there are no consumers in the server which match specified filters. More...
ConsumerInfo | GetConsumer (long consumerID)
| Returns consumer with specified ID. Returned consumer object contains all information about consumer known to server, including all details, available statistics, and consumer's selector. More...
SubscriptionInfo[] | GetSubscriptions ()
| Returns all subscriptions in the server. More...
SubscriptionInfo[] | GetSubscriptions (int filterFlags, String name, String topicName)
| Returns subscriptions matching specified filters. More...
ChannelInfo[] | GetChannels ()
| Returns all multicast channels in the server. More...
ChannelInfo | GetChannel (string name)
| Returns the multicast channel with the specified name. More...
ChannelInfo | GetChannelStatistics (string name)
| Returns statistical information about the multicast channel with the specified name. More...
String[] | GetTraceBuffer (bool clear)
| Reserved for internal provider use only. Do not use this method. More...

## Public Attributes
const int | PERMISSIONS_DIRECT_DEST = 0x0001
| Permissions flag to get direct dest permissions for a given user. Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | PERMISSIONS_DIRECT_ADMIN = 0x0002
| Permissions flag to get direct admin permissions for a given user. Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | PERMISSIONS_ALL_ADMIN = (PERMISSIONS_DIRECT_ADMIN | PERMISSIONS_INHERITED_ADMIN)
| Permissions flag to get all admin permissions for a given user (direct and inherited (i.e. as inhertied from groups to which the user belongs). Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | PERMISSIONS_ALL_DEST = (PERMISSIONS_DIRECT_DEST | PERMISSIONS_INHERITED_DEST)
| Permissions flag to get all dest permissions for a given user (direct and inherited (i.e. as inhertied from groups to which the user belongs). Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | PERMISSIONS_DIRECT = (PERMISSIONS_DIRECT_DEST | PERMISSIONS_DIRECT_ADMIN)
| Permissions flag to get all direct permissions for a given user (i.e. the one's directly assinged to the user). Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | PERMISSIONS_ALL = (PERMISSIONS_ALL_DEST | PERMISSIONS_ALL_ADMIN)
| Permissions flag to get all permissions for a given user (destination and admin permissions both direct and inherited (i.e. as inherited from groups to which the user belogs). Use this flag with GetPermissions(UserInfo, flags) API. More...
const int | SESSION_UNKNOWN_ACKNOWLEDGE = 0
| Unknown session acknowledge mode. This may be used as return value in cases, for example, when a consumer has no associated session. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_NO_ACKNOWLEDGE = 1
| No acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_AUTO_ACKNOWLEDGE = 2
| AUTO acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_DUPS_OK_ACKNOWLEDGE = 3
| DUPS_OK acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_CLIENT_ACKNOWLEDGE = 4
| CLIENT acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_TRANSACTED = 5
| Acknowledgement mode describing transacted session. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | SESSION_XA = 6
| Acknowledgement mode describing XA session. See ConsumerInfo.Details.GetSessionAcknowledgeMode. More...
const int | GET_STAT = 0x0001
| Flag requesting overall statistics to be returned by methods such as GetConsumers() More...
const int | GET_DETAILED_STAT = 0x0002
| Flag requesting both overall and detailed statistics to be returned by methods such as GetConsumers() More...
const int | GET_SELECTOR = 0x0004
| Flag requesting consumer's selector to be included into ConsumerInfo objects returned by the GetConsumers() method. GetConsumers() More...
const int | DEST_CURSOR_FIRST = 1
| First cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int). More...
const int | DEST_CURSOR_NEXT = 2
| Next cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int). More...
const int | DEST_CURSOR_LAST = 3
| Last cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int). More...
const int | SUBSCRIPTIONS_FILTER_DURABLE_ONLY = 0x01
| Flag requesting non durable subscriptions to be filtered out. See GetSubscriptions(int, string, string). More...
const int | SUBSCRIPTIONS_FILTER_NO_DURABLE = 0x02
| Flag requesting durable subscriptions to be filtered out. See GetSubscriptions(int, string, string). More...
const int | SUBSCRIPTIONS_FILTER_SHARED_ONLY = 0x04
| Flag requesting non shared subscriptions to be filtered out. See GetSubscriptions(int, string, string). More...
const int | SUBSCRIPTIONS_FILTER_NO_SHARED = 0x08
| Flag requesting shared subscriptions to be filtered out. See GetSubscriptions(int, string, string). More...
const int | STORE_COMPACT_NOLIMIT = -1
| Used to run the store compact as a full re-write with no time limit. Valid only for mstores. See Compact(Store, long). See Compact(string, long). More...
const long | ALL_CONSUMERS = -1

## Properties
long | CommandTimeout`[get, set]`
| Get and set the command timeout in milliseconds. More...
bool | AutoSave`[get, set]`
| Returns true if server configuration is saved in the configuration files on disk after each change. More...
ServerInfo | Info`[get]`
| Get the current set of server configuration and metrics. More...
StateInfo | StateInfo`[get]`
| Get the current FT state of the server, along with its name, pid, version and whether or not it is running in an appliance. More...
CMListenerInfo[] | CMListeners`[get]`
| Get the TIBCO Rendezvous certified listeners explicitly created in the server configuration. More...
RouteInfo[] | Routes`[get]`
| Returns all routes known to the server. More...
UserInfo[] | Users`[get]`
| Get the array of all UserInfos known to the server. More...
GroupInfo[] | Groups`[get]`
| Get all the groups known to the server. More...
ACLEntry[] | ACLEntries`[get]`
| Get all ACL entries for destinations. More...
ConnectionFactoryInfo[] | ConnectionFactories`[get]`
| Get all connection factories in the server configuration. More...
TransactionInfo[] | Transactions`[get]`
| Get all the xa transactions known to the server. More...
TransportInfo[] | Transports`[get]`
| Get all the transports known to the server. More...
IExceptionListener | ExceptionListener`[set]`
| Sets an exception listener for the connection used by this API to communicate with the EMS server. More...
EMSExceptionHandler | ExceptionHandler
| Add the exception handler to the Admin object's underlying connection. More...
long | ConnectionId`[get]`
| Get the connection id of the Admin object's connection to the server. More...
ConnectionInfo[] | Connections`[get]`
| Returns all connections except system connections. More...
ConnectionInfo[] | SystemConnections`[get]`
| Returns all system connections. More...
QueueInfo[] | Queues`[get]`
| Get the information for all the queues that are known to the server. More...
TopicInfo[] | Topics`[get]`
| Get the information for all the topics that are known to the server. More...
System.Object[] | Permissions`[get]`
| Get all permission entries. More...
DurableInfo[] | Durables`[get]`
| Get the durable subscription information for all durables known to the server. More...
ConsumerInfo[] | ConsumersStatistics`[get]`
| Get statistical information about all consumers. More...
ProducerInfo[] | ProducersStatistics`[get]`
| Returns statistical information about all producers. More...
TopicInfo[] | TopicsStatistics`[get]`
| Get the statistical information for all topics. More...
QueueInfo[] | QueuesStatistics`[get]`
| Get the statistical information about all queues. More...
BridgeInfo[] | Bridges`[get]`
| Get all the bridges known to the server. More...
ChannelInfo[] | Channels`[get]`
| Get all the multicast channels known to the server. More...
bool | RestartRequired`[get]`
| Query a server to determine whether a restart is required to complete state changes. More...

## Detailed Description

This is the main class for administering a TIBCO Enterprise Message Service server.

To use this API, first create an instance of this class using one of the constructors. With that instance, one can retrieve information about the server and its components, as well as modify the server's configuration. All modifications to the server configuration are made through this class. For example, to change the description of a group, one would do the following:

GroupInfo groupInfo = Admin.GetGroup("groupName");
groupInfo.SetDescription("New Description");
Admin.UpdateGroup(groupInfo);

It is important to note that public constructors (such as those for TopicInfo and GroupInfo), will initialize internal variables. When updating the server be sure to populate objects entirely or retrieve them from the server first as in the example above to avoid any unintentional updates.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.Admin.Admin | ( | string | url,
|  | string | userName,
|  | string | password
| ) |  |
| inline

This constructor is used to create an administrative connection to the server.

Parameters

  url | The URL of the server to administer.
  userName | Name of the administrator user.
  password | User password.

Exceptions

  AdminException | if not authorized or an error occurred.

TIBCO.EMS.ADMIN.Admin.Admin | ( | string | url,
|  | string | userName,
|  | string | password,
|  | Hashtable | sslParams
| ) |  |
| inline

This constructor is used to create an administrative connection to the server.

Use this constructor if the connection to the server needs to use SSL.

Parameters

  url | The URL of the server to administer.
  userName | Name of the administrator user.
  password | User password.
  sslParams | The parameters used for the SSL connection. See the documentation of the TIBCO.EMS.EMSSSL class for details of valid SSL parameters.

Exceptions

  AdminException | if not authorized or an error occurred.

## Member Function Documentation

void TIBCO.EMS.ADMIN.Admin.AddUsersToGroup | ( | string | groupName,
|  | string[] | userNames
| ) |  |
| inline

Add the users for the given array of userNames to the group for the given groupName.

Parameters

  groupName | The group that the users will be added to.
  userNames | The users to be added.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the names of the group or users are not legal.
  ArgumentException | if the array of user names is null.

void TIBCO.EMS.ADMIN.Admin.AddUserToGroup | ( | string | groupName,
|  | string | userName
| ) |  |
| inline

Add the user for the given userName to the group for the given groupName.

Parameters

  groupName | The group that the user will be added to.
  userName | The user to be added.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the names of the group or the user are not legal.

void TIBCO.EMS.ADMIN.Admin.Bind | ( | string | newName,
|  | string | existingName
| ) |  |
| inline

Bind an object already bound to an existing JNDI name to a new JNDI name.

The object will be bound to both names after this call.

Parameters

  newName | The new name that will be bound to the object currently bound to the existing name.
  existingName | The name that is currently bound to the object.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminNameExistsException | if the JNDI name is already in use.
  AdminInvalidNameException | if the JNDI names are not legal.

void TIBCO.EMS.ADMIN.Admin.BindQueue | ( | string | name,
|  | string | queueName
| ) |  |
| inline

Bind the queue for the given queue name to the given JNDI name.

Parameters

  name | The JNDI name to which the queue will be bound.
  queueName | The name of the queue to bind.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminNameExistsException | if the JNDI name is already in use.
  AdminInvalidNameException | if name or queueName are not legal names.

void TIBCO.EMS.ADMIN.Admin.BindTopic | ( | string | name,
|  | string | topicName
| ) |  |
| inline

Bind the topic for the given topic name to the given JNDI name.

Parameters

  name | The JNDI name to which the topic will be bound.
  topicName | The name of the topic to bind.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminNameExistsException | if the JNDI name is already in use.
  AdminInvalidNameException | if name and topicName are legal names.

void TIBCO.EMS.ADMIN.Admin.ClearJACICache | ( |  | ) |
| inline

Clear all entries out of the JACI results cache.

Exceptions

  AdminException |

void TIBCO.EMS.ADMIN.Admin.Close | ( |  | ) |
| inline

Close connection to the server.

After connection is closed the Admin object should no longer be used.

Exceptions

  AdminException | if an error occurred.

void TIBCO.EMS.ADMIN.Admin.CommitTransaction | ( | TransactionInfo | transaction | ) |
| inline

Commit the xa transaction.

Parameters

  transaction | The TransactionInfo object for the transaction to be committed.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if transaction is null.

bool TIBCO.EMS.ADMIN.Admin.Compact | ( | Store | store,
|  | long | timeout
| ) |  |
| inline

Compact one of the server's store files until either no more compaction can be done or timeout seconds have elapsed, whichever occurs first. (See remarks for important warning).

For mstores only, a value of STORE_COMPACT_NOLIMIT for the timeout triggers a full re-write of the mstore with no time limit.
WARNING: Once started, it is not possible to interrupt the compaction, and all other operations (creating new connections, sending and/or receiving messages, etc...) will be suspended during, at most, the number of seconds specified (the 'timeout' value) or, if using STORE_COMPACT_NOLIMIT, and for mstores only, until the mstore has been entirely re-written.

Parameters

  store | the store file to compact, Store
  timeout | time in seconds allowed for compaction (must be greater than zero) or, for mstores only, STORE_COMPACT_NOLIMIT

Returns
  true if the store file was fully compacted before the timeout expired, false otherwise.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if store is invalid or timeout is not greater than zero.

bool TIBCO.EMS.ADMIN.Admin.Compact | ( | string | name,
|  | long | timeout
| ) |  |
| inline

Compact one of the server's store files until either no more compaction can be done or timeout seconds have elapsed, whichever occurs first. (See remarks for important warning).

For mstores only, a value of STORE_COMPACT_NOLIMIT for the timeout triggers a full re-write of the mstore with no time limit.
WARNING: Once started, it is not possible to interrupt the compaction, and all other operations (creating new connections, sending and/or receiving messages, etc...) will be suspended during, at most, the number of seconds specified (the 'timeout' value) or, if using STORE_COMPACT_NOLIMIT, and for mstores only, until the mstore has been entirely re-written.

Parameters

  name | the store file 'name' to compact.
  timeout | time in seconds allowed for compaction (must be greater than zero) or, for mstores only, STORE_COMPACT_NOLIMIT

Returns
  true if the store file was fully compacted before the timeout expired, false otherwise.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if store is invalid or timeout is not greater than zero.

void TIBCO.EMS.ADMIN.Admin.CreateCMListener | ( | CMListenerInfo | cmListener | ) |
| inline

Create (pre-register) TIBCO Rendezvous certified listener.

Parameters

  cmListener | the certified listener to be created (pre-registered).

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if CMListenerInfo object is null.

void TIBCO.EMS.ADMIN.Admin.CreateConnectionFactory | ( | string | jndiName,
|  | ConnectionFactoryInfo | cfi
| ) |  |
| inline

Create a connection factory based on the given ConnectionFactoryInfo and bind it to the given name in the internal JNDI implementation.

Parameters

  jndiName | The JNDI name to which the new factory will be bound.
  cfi | The info for the factory to create.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the JNDI name is not legal.
  ArgumentException | if ConnectionFactoryInfo object is null.
  AdminNameExistsException | if the JNDI name is already in use.

DestinationBridgeInfo TIBCO.EMS.ADMIN.Admin.CreateDestinationBridge | ( | DestinationBridgeInfo | destBridge | ) |
| inline

Creates a destination bridge as specified by the DestinationBridgeInfo object.

Parameters

  destBridge | the destination bridge to be created

Returns
  the newly created destination bridge

Exceptions

  AdminException | if not authorized or some other error occurred
  ArgumentException | if the DestinationBridgeInfo object is null
  AdminInvalidNameException | if the DestinationBridgeInfo object is not valid
  AdminNameExistsException | if a destination bridge already exists between the specified source and target.

void TIBCO.EMS.ADMIN.Admin.CreateDurable | ( | string | topicName,
|  | string | durableName,
|  | string | clientID,
|  | string | selector,
|  | bool | nolocal,
|  | bool | route
| ) |  |
| inline

Create the durable with given name and client ID.

Parameters

  topicName | The name of topic on which to create durable.
  durableName | The name of the durable to create.
  clientID | The client ID associated with the durable (can be null).
  selector | The selector associated with the durable (can be null).
  nolocal | Prevents reception of messages sent on this session.
  route | Designates this as a durable for another server.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if durableName is not a legal name.

GroupInfo TIBCO.EMS.ADMIN.Admin.CreateGroup | ( | GroupInfo | group | ) |
| inline

Create a group based on the information in the given GroupInfo.

Parameters

  group | The info for the group to be created.

Returns
  The fully configured GroupInfo from the server.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the name of the group is not a legal group name.
  AdminNameExistsException | if a user aleady exists with the given name.

QueueInfo TIBCO.EMS.ADMIN.Admin.CreateQueue | ( | QueueInfo | queue | ) |
| inline

Create a queue based on the parameters from the given QueueInfo.

Parameters

  queue | The description of the queue to be created.

Returns
  The fully configured QueueInfo from the server.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the name of the queue is not a legal queue name.
  AdminNameExistsException | if a queue already exists with the given name.

RouteInfo TIBCO.EMS.ADMIN.Admin.CreateRoute | ( | RouteInfo | routeInfo | ) |
| inline

Create a new route.

Parameters

  routeInfo | The parameters for the new route.

Returns
  the fully configured RouteInfo from the server.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if routeInfo is null.
  AdminInvalidNameException | if RouteInfo object does not have a legal name and url.

TopicInfo TIBCO.EMS.ADMIN.Admin.CreateTopic | ( | TopicInfo | topic | ) |
| inline

Create a topic based on the parameters from the given TopicInfo.

Parameters

  topic | The description of the topic to be created.

Returns
  The fully configured TopicInfo from the server.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the name of the topic is not a legal topic name.
  AdminNameExistsException | if a topic already exists with the given name.

UserInfo TIBCO.EMS.ADMIN.Admin.CreateUser | ( | UserInfo | user | ) |
| inline

Create a user based on the information in the given UserInfo.

Parameters

  user | The information for the user to be created.

Returns
  the fully configured UserInfo from the server.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if the name of the user is not a legal user name.
  AdminNameExistsException | if a user already exists with the given name.

void TIBCO.EMS.ADMIN.Admin.DeleteCMListener | ( | CMListenerInfo | cmListener | ) |
| inline

Delete TIBCO Rendezvous certified listener.

Parameters

  cmListener | the certified listener to be deleted.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if cmListener is null.

void TIBCO.EMS.ADMIN.Admin.DestroyConnection | ( | long | connectionID | ) |
| inline

Destroy the client connection for the given connectionID.

This will disconnect the client using the connection from the server, so this method should be used with caution.

Parameters

  connectionID | The connection ID of the connection to be destroyed.

Exceptions

  AdminException | if not authorized or an error occurred.

void TIBCO.EMS.ADMIN.Admin.DestroyConnectionFactory | ( | string | jndiName | ) |
| inline

Destroy the connection factory bound to the given JNDI name.

Parameters

  jndiName | A JNDI name for the factory to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if jndiName is not a legal name.

void TIBCO.EMS.ADMIN.Admin.DestroyDestinationBridge | ( | DestinationType | sourceType,
|  | string | sourceName,
|  | DestinationType | targetType,
|  | string | targetName
| ) |  |
| inline

Destroy the destination bridge between a source and a target

Parameters

  sourceType | the type of the source destination, either a topic or a queue. See DestinationType
  sourceName | the name of the source destination
  targetType | the type of the target destination, either a topic or a queue. See DestinationType
  targetName | the name of the target destination

Exceptions

  AdminException | if not authorized or some other error occurred
  AdminInvalidNameException | if the source our target names or types are not valid

void TIBCO.EMS.ADMIN.Admin.DestroyDurable | ( | string | durableName,
|  | string | clientID
| ) |  |
| inline

Destroy the durable with given name and client ID.

Parameters

  durableName | The name of the durable to destroy.
  clientID | The client ID associated with the durable (can be null).

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if durableName is not a legal name.

void TIBCO.EMS.ADMIN.Admin.DestroyGroup | ( | string | groupName | ) |
| inline

Destroy the group for the given groupName.

Parameters

  groupName | The name of the group to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if groupName is not a legal name.

void TIBCO.EMS.ADMIN.Admin.DestroyMessage | ( | string | messageID | ) |
| inline

Destroy the message for the given message ID.

Parameters

  messageID | The ID of the message to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if messageID is not a legal ID.

void TIBCO.EMS.ADMIN.Admin.DestroyQueue | ( | string | queueName | ) |
| inline

Destroy the queue for the given queue name.

Parameters

  queueName | The name of the queue to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if queueName is not a legal queue name.

void TIBCO.EMS.ADMIN.Admin.DestroyQueues | ( | string | pattern | ) |
| inline

Destroy queues matching the given pattern.

Parameters

  pattern | a pattern indicating which queues to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if pattern is not a legal pattern.

void TIBCO.EMS.ADMIN.Admin.DestroyRoute | ( | string | name | ) |
| inline

Destroy the route with specified name.

Parameters

  name | The name of the route to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if name is not a legal route name.

void TIBCO.EMS.ADMIN.Admin.DestroyTopic | ( | string | topicName | ) |
| inline

Destroy the topic for the given topic name.

Parameters

  topicName | The name of the topic to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if topicName is not a legal topic name.

void TIBCO.EMS.ADMIN.Admin.DestroyTopics | ( | string | pattern | ) |
| inline

Destroy topics matching the given pattern.

Parameters

  pattern | a pattern indicating which topics to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if pattern is not a legal pattern.

void TIBCO.EMS.ADMIN.Admin.DestroyUser | ( | string | userName | ) |
| inline

Destroy the user for the given userName.

Parameters

  userName | The name of the user to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if userName is not a legal user name.

BridgeInfo TIBCO.EMS.ADMIN.Admin.GetBridge | ( | DestinationType | type,
|  | string | name
| ) |  |
| inline

Get the bridge from a given destination.

Parameters

  type | the type of source destination, either DestinationType.Queue or DestinationType.Topic.
  name | the name of the source destination

Returns
  the BridgeInfo object representing the bridge.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | type is invalid or name is null

BridgeInfo [] TIBCO.EMS.ADMIN.Admin.GetBridges | ( | DestinationType | type,
|  | string | pattern
| ) |  |
| inline

Get all the bridges known to the server where the source destination is of a given type and the source destination name matches the given pattern.

Parameters

  type | the type of source destination, either DestinationType.Queue to return only bridges from queues, DestinationType.Topic to return only bridges from topics, or DestinationType.All types to return bridges from both queues and topics.
  pattern | a filter to restrict the bridges that are returned to only those whose name matches the pattern, null indicates all bridges.

Returns
  all the matching bridges.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if type is invalid

ChannelInfo TIBCO.EMS.ADMIN.Admin.GetChannel | ( | string | name | ) |
| inline

Returns the multicast channel with the specified name.

Notice returned object does not contain statistical data for the channel. Use GetChannelStatistics() method to obtain statistical information about the channel.

Parameters

  name | the name of the channel.

Returns
  ChannelInfo object or `null` if channel with specified name does not exist in the server.

Exceptions

  ArgumentException | if `name` parameter is invalid.
  AdminException | if not authorized or an error occurred.

GetChannels GetChannelStatistics

Deprecated:
  As of release 8.3

ChannelInfo [] TIBCO.EMS.ADMIN.Admin.GetChannels | ( |  | ) |
| inline

Returns all multicast channels in the server.

Notice returned objects do not contain statistical data for the channels. Use GetChannelStatistics() method to obtain statistical information about the channels.

Returns
  array of ChannelInfo objects or array of 0 length if no channels exist.

Exceptions

  AdminException | if not authorized or an error occurred.

GetChannel GetChannelStatistics

Deprecated:
  As of release 8.3

ChannelInfo TIBCO.EMS.ADMIN.Admin.GetChannelStatistics | ( | string | name | ) |
| inline

Returns statistical information about the multicast channel with the specified name.

Parameters

  name | the name of the channel.

Returns
  ChannelInfo object or `null` if channel with specified name does not exist in the server or statistics are disabled.

Exceptions

  ArgumentException | if `name` parameter is invalid.
  AdminException | if not authorized or an error occurred.

GetChannels GetChannel

Deprecated:
  As of release 8.3

CMLedgerSubjectInfo [] TIBCO.EMS.ADMIN.Admin.GetCMLedger | ( | string | pattern | ) |
| inline

Returns a summary of the contents of the ledger file of the server's default TIBCO Rendezvous certified messaging transport.

If the server uses multiple named transports then use the GetCMLedger(String transport, String pattern) method to query the ledger for the given transport. Specifying a pattern limits the scope of the query to only those Rendezvous subjects matching the pattern. The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work. A pattern of "", ">", or null will return information on all the subjects in the ledger file.

Parameters

  pattern | a pattern indicating which subjects are of interest.

Returns
  array of CMLedgerSubjectInfo objects that match the given pattern.

Exceptions

  AdminException | if not authorized or an error occurred.

CMLedgerSubjectInfo [] TIBCO.EMS.ADMIN.Admin.GetCMLedger | ( | string | transport,
|  | string | pattern
| ) |  |
| inline

Returns a summary of the contents of the transport's ledger file.

Specifying a pattern limits the scope of the query to only those Rendezvous subjects matching the pattern. The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work. A pattern of "", ">", or null will return information on all the subjects in the ledger file.

Parameters

  transport | the name of the transport whose ledger file is to be summarized.
  pattern | a pattern indicating which subjects are of interest.

Returns
  array of CMLedgerSubjectInfo objects that match the given pattern.

Exceptions

  AdminException | if not authorized or an error occurred.

ConsumerInfo TIBCO.EMS.ADMIN.Admin.GetConsumer | ( | long | consumerID | ) |
| inline

Returns consumer with specified ID. Returned consumer object contains all information about consumer known to server, including all details, available statistics, and consumer's selector.

Returns
  consumer information or `null` if consumer with specified ID does not exist in the server.

Exceptions

  AdminException | if not authorized or an error occurred.

GetConsumers()

ConsumerInfo [] TIBCO.EMS.ADMIN.Admin.GetConsumers | ( |  | ) |
| inline

Returns all consumers in the server. Returned array may be of 0 length if there are no consumers in the server. Returned consumers are not sorted and placed in the array in any order. Application may need to sort the consumers in application-specific order if required. This method is equivalent to calling method `GetConsumers(null,null,null,false,0)`. See GetConsumers(Object,String,DestinationInfo,bool,int) for detailed information.

Returns
  array of all consumers in the server or array of 0 length.

Exceptions

  AdminException | if not authorized or an error occurred.

ConsumerInfo [] TIBCO.EMS.ADMIN.Admin.GetConsumers | ( | Object | connectionID,
|  | String | username,
|  | DestinationInfo | destination,
|  | bool | durable,
|  | int | dataFlags
| ) |  |
| inline

Returns consumers matching specified filters. Returned array may be of 0 length if there are no consumers in the server which match specified filters.

This method returns only consumers matching filters specified by parameters `consumerID`, `username` and `destination`. Parameter `durable` is applied only to topic subscribers. All filters may be omitted by specifying `null` value. Parameter `durable` has special meaning in that it prevents this method from returning non-durable topic consumers. It however does not affect which queue consumers are returned. Returned consumers are not sorted and placed in the array in any order. Application may need to sort the consumers in application-specific order if required.

- Calling `GetConsumers(null,null,null,false,0);` returns all consumers known to server but does not include statistical information nor selector (if present) for each consumer.
- Calling `GetConsumers(null,null,null,true,0);` returns all queue consumers and durable topic consumers.
- Calling
  TopicInfo topic = new TopicInfo("news.///");
  GetConsumers(null,null,topic,true,Admin.GET_DETAILED_STAT);
  returns all durable topic consumers which subscribe to any topic matching topic "news.///". Returned {ConsumerInfo} objects will include detailed statistics about consumers if statistics are enabled in the server but will not include consumer's selector.
- Calling
  QueueInfo queue = new QueueInfo("purchase.order.>");
  GetConsumers(null,"OrderProcessor",queue,false,
  Admin.GET_DETAILED_STAT+Admin.GET_SELECTOR);
  returns all queue consumers created by user "OrderProcessor" and receiving messages from all queues matching name "purchase.order.>". Each consumer object will include full statistics are available for consumer and consumer's selector if present.

Parameters

  connectionID | if specified, only consumers for specified connection will be returned. Specify `null` if all consumers should be returned.

Parameters

  username | if specified, only consumers for connections with specified user name will be returned. Specify `null` if all consumers should be returned.

Parameters

  destination | may be set to `null` or specify {TopicInfo} or {QueueInfo} object. If specified, only consumers subscribing to destinations of same type and matching this destination name will be returned.

Parameters

  durable | specified that only durable topic subscribers should be returned. This does not affect returned queue consumers. If parameter `destination` specifies QueueInfo, this parameter is ignored.

Parameters

  dataFlags | specifies what information, besides common, should be included into returned ConsumerInfo objects. Value can be any combination of flags {GET_STAT}, {GET_DETAILED_STAT} and {GET_SELECTOR}. Notice {GET_DETAILED_STAT} superceeds {GET_STAT}. If not specified, returned objects do not contain statistics or consumer's selector. Also notice that statistical information may not be returned even when requested if statistics are disabled in the server.

Returns
  array of consumers or array of 0 length.

Exceptions

  ArgumentException | if `dataFlags` parameter is invalid.

Exceptions

  AdminException | if not authorized or an error occurred.

GetConsumers() GetConsumer

ConsumerInfo [] TIBCO.EMS.ADMIN.Admin.GetConsumersStatistics | ( | long | connectionID,
|  | string | username,
|  | DestinationInfo | destination
| ) |  |
| inline

Get statistical information about consumers with specified parameters.

Parameters

  connectionID | consumer connection ID or null.
  username | consumer user name or null.
  destination | consumer destination pattern or null.

Returns
  array of ConsumerInfo objects with statistical data or null if no consumers found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

DestinationBridgeInfo TIBCO.EMS.ADMIN.Admin.GetDestinationBridge | ( | DestinationType | sourceType,
|  | string | sourceName,
|  | DestinationType | targetType,
|  | string | targetName
| ) |  |
| inline

Returns the destination bridge between a source and a target

Parameters

  sourceType | the type of the source destination, either a topic or queue. See DestinationType
  sourceName | the name of the source destination
  targetType | the type of the target destination, either a topic or queue. See DestinationType
  targetName | the name of the target destination

Exceptions

  AdminException | if not authorized or some other error occurred
  AdminInvalidNameException | if the source our target names or types are not valid

DestinationBridgeInfo [] TIBCO.EMS.ADMIN.Admin.GetDestinationBridges | ( | DestinationType | sourceType,
|  | string | sourcePattern
| ) |  |
| inline

Get the destination bridges for all source destinations that match the given source type and source pattern.

The source type can be either a topic, queue, or all. See DestinationType. The source pattern may contain the wildcards "*" and ">". See the Tibjms documentation for how wildcards work in destination names. A pattern of "", ">", or null will return the destination bridges from all the queues if sourceType is a queue or from all the topics if sourceType is a topic.

Parameters

  sourceType | the type of the source, either topic, queue, or all. See DestinationType,
  sourcePattern | a pattern or destination name

Returns
  an array of DestinationBridgeInfo objects that match the source pattern and type

Exceptions

  AdminException | if not authorized or an error occurred
  AdminInvalidNameException | if sourcePattern or sourceType are not valid

DurableInfo TIBCO.EMS.ADMIN.Admin.GetDurable | ( | string | durableName,
|  | string | clientID
| ) |  |
| inline

Get the durable subscription information for the given durable name and clientID.

Parameters

  durableName | name of the durable subsription.
  clientID | client ID associated with the durable (can be null).

Returns
  the DurableInfo.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if durableName is not a legal name.

DurableInfo [] TIBCO.EMS.ADMIN.Admin.GetDurables | ( | string | topicName | ) |
| inline

Get the durable subscription information for the given topic name.

Parameters

  topicName | The name of topic to get durable information on.

Returns
  The array of DurableInfos for the given topic.

Exceptions

  AdminException | if not authorized or an error occurred.

Deprecated this method, remains fully functional but in EMS 4.4 the preferred way to obtain consumer information is via method GetConsumers()

GroupInfo TIBCO.EMS.ADMIN.Admin.GetGroup | ( | string | groupName | ) |
| inline

Get the group for the given name.

Parameters

  groupName | The name of the group to retrieve.

Returns
  the GroupInfo for the given name or null if the name is not found.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if groupName is not a legal group name.

ACLEntry [] TIBCO.EMS.ADMIN.Admin.GetGroupACLEntries | ( | string | groupName | ) |
| inline

Get all permissions on destinations for specified group.

Parameters

  groupName | the name of the group.

Returns
  array of ACLEntry objects for the specified group.

Exceptions

  AdminException | if not authorized or some error occurred.
  AdminInvalidNameException | if groupName is not a legal group name.

JACIInfo TIBCO.EMS.ADMIN.Admin.GetJACIInfo | ( |  | ) |
| inline

Get statistics on the JACI permissions cache.

Returns
  JACIInfo object that describes the current statistics of the JACI cache.

Exceptions

  AdminException |

Message TIBCO.EMS.ADMIN.Admin.GetMessage | ( | string | messageID | ) |
| inline

Get the message for the given message ID.

Parameters

  messageID | The ID of the message to retrieve.

Returns
  the message for the given ID or null if none is found.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if messageID is not a legal ID.

Message [] TIBCO.EMS.ADMIN.Admin.GetMessages | ( | string | correlationID | ) |
| inline

Get the messages that have the given correlation ID.

Parameters

  correlationID | The correlation ID of the messages to retrieve.

Returns
  The array of messages with the given correlation ID.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if correlationID is not a legal ID.

System.Object [] TIBCO.EMS.ADMIN.Admin.GetPermissions | ( | System.Object | target | ) |
| inline

Get all permission entries for specified target.

Target parameter can be UserInfo, GroupInfo, TopicInfo or QueueInfo. If target parameter is null, this method returns all permissions.

Parameters

  target | the object

Returns
  all ACL entries for specified target object

Exceptions

  AdminException | if not authorized or an error occurred.

System.Object [] TIBCO.EMS.ADMIN.Admin.GetPermissions | ( | UserInfo | target,
|  | int | flags
| ) |  |
| inline

Get user permissions based on the flags set.

- If no flags are specified i.e flags == 0, then all the permissions for the user are returned.

- If flags == PERMISSIONS_ALL, then all the permissions are returned for the specified user, (i.e direct, inhertied i.e dest (user and admin) and other admin).

- If flags == PERMISSIONS_ALL_DEST, then all the destination permissions for the user are returned, both direct and indirect (i.e inherited from groups).

- If flags == PERMISSIONS_ALL_ADMIN, then all direct and inherited admin permissions are returned.

- If flags == PERMISSIONS_DIRECT, then all direct destination permissions (user and admin) are returned (i.e the one directly assigned to the user).

- If flags == PERMISSIONS_DIRECT_DEST all direct destination permissions for the user are returned.

- If flags == PERMISSIONS_DIRECT_ADMIN, then all direct admin permissions are returned (i.e the ones directly assigned to the user).

- NOTE: If arbitrary combinations of flags are chosen then the supersed'ing flag is chosen. e.g flags = PERMISSIONS_ALL | PERMISSIONS_ALL_DEST here the ALL superseds ALL_DEST flag, so all permissions are returned.

NOTE: Inherited permissions cannot be modified (i.e removed)

Parameters

  target | the userinfo object
  flags | the flags, based on which the different permissions are returned

Returns
  ACL entries for specified target object as defined by the flags, Array elements are be either ACLEntry, AdminACLEntry objects or both.

Exceptions

  AdminException | if not authorized or an error occurred.

ProducerInfo [] TIBCO.EMS.ADMIN.Admin.GetProducersStatistics | ( | long | connectionID,
|  | string | username,
|  | DestinationInfo | destination
| ) |  |
| inline

Get the statistical information about producers with specified parameters.

Parameters

  connectionID | producer connection ID or null.
  username | producer user name or null.
  destination | producer destination pattern or null.

Returns
  array of ProducerInfo objects with statistical data or null if no producers found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

QueueInfo TIBCO.EMS.ADMIN.Admin.GetQueue | ( | string | queueName | ) |
| inline

Get the queue for the given queue name.

Parameters

  queueName | The name of the queue to get.

Returns
  The QueueInfo for the given name or null if the name is not found.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if queueName is not a legal name

ACLEntry [] TIBCO.EMS.ADMIN.Admin.GetQueueACLEntries | ( | string | queueName | ) |
| inline

Get all ACL entries pertaining to the queue with the given queueName.

Parameters

  queueName | Queue name.

Returns
  the array of ACLEntries for the given queue.

Exceptions

  AdminException | if not authorized or some error occurred.
  AdminInvalidNameException | if queueName is not a legal queue name.

QueueInfo [] TIBCO.EMS.ADMIN.Admin.GetQueues | ( | string | pattern | ) |
| inline

Get the information for queues that match the given pattern.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in queue names. A pattern of "", ">", or null will return all the queues.

Parameters

  pattern | The pattern that must be matched

Returns
  The QueueInfos that match the pattern.

Exceptions

  AdminException | if not authorized or an error occurred.

QueueInfo [] TIBCO.EMS.ADMIN.Admin.GetQueues | ( | string | pattern,
|  | RequestDestInfo | permanenceType
| ) |  |
| inline

Get the information for the queues that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return queues only of specified types.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in queue names. A pattern of "", ">", or null will return all the queues if permanenceType is DestGetALL

Parameters

  pattern | The pattern that must be matched
  permanenceType | The permanenceType can be either RequestDestInfo.DestGetNoTemp, RequestDestInfo.DestGetStatic, RequestDestInfo.DestGetDynamic, or RequestDestInfo.DestGetAll. See RequestDestInfo.

Returns
  The QueueInfos that match the pattern and permanenceType

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if permanenceType is invalid

QueueInfo [] TIBCO.EMS.ADMIN.Admin.GetQueues | ( | string | pattern,
|  | RequestDestInfo | permanenceType,
|  | int | cursorPosition,
|  | int | cursorSize
| ) |  |
| inline

Get the information for the queues that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return queues only of specified types.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in queue names. A pattern of "", ">", or null will return all the queues if permanenceType is DestGetALL

One can start, continue or complete a cursored scan of queues.

Parameters

  pattern | The pattern that must be matched
  permanenceType | The permanenceType can be either RequestDestInfo.DestGetNoTemp, RequestDestInfo.DestGetStatic, RequestDestInfo.DestGetDynamic, or RequestDestInfo.DestGetAll. See RequestDestInfo.
  cursorPosition | The cursorPosition can be Admin.DEST_CURSOR_FIRST, Admin.DEST_CURSOR_NEXT, Admin.DEST_CURSOR_LAST
  cursorSize | The cursorSize must be greater than zero. Note that the operation may return less than the requested size.

Returns
  The QueueInfos that match the pattern and permanenceType. Returns null when cursor is complete.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if permanenceType is invalid

QueueInfo [] TIBCO.EMS.ADMIN.Admin.GetQueuesStatistics | ( | string | pattern | ) |
| inline

Get the statistical information for the queues that match the given pattern.

The wildcards "*" and ">" may be included in the pattern. See the TIBCO EMS documentation for how wildcards work in queue names. A pattern of "", ">", or null will return statistics for all the queues.

Parameters

  pattern | The pattern that must be matched

Returns
  array of QueueInfo objects with statistical data or null if no queues found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

QueueInfo [] TIBCO.EMS.ADMIN.Admin.GetQueuesStatistics | ( | string | pattern,
|  | int | cursorPosition,
|  | int | cursorSize
| ) |  |
| inline

Get the statistical information for the queues that match the given pattern.

The wildcards "*" and ">" may be included in the pattern. See the TIBCO EMS documentation for how wildcards work in queue names. A pattern of "", ">", or null will return statistics for all the queues.

One can start, continue or complete a cursored scan of queues.

Parameters

  pattern | The pattern that must be matched
  cursorPosition | The cursorPosition can be Admin.DEST_CURSOR_FIRST, Admin.DEST_CURSOR_NEXT, Admin.DEST_CURSOR_LAST
  cursorSize | The cursorSize must be greater than zero. Note that the operation may return less than the requested size.

Returns
  array of QueueInfo objects with statistical data or null if no queues found or statistics are disabled or when cursor complete.

Exceptions

  AdminException | if not authorized or an error occurred.

RouteInfo TIBCO.EMS.ADMIN.Admin.GetRoute | ( | string | name | ) |
| inline

Returns route information or null if such route does not exist.

Notice returned object does not contain statistical data for the route. Use GetRouteStatistics() method to obtain statistical information about the route.

Parameters

  name | name of the route.

Returns
  RouteInfo object or null if route with such name does not exist.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if name is not a legal route name.

RouteInfo TIBCO.EMS.ADMIN.Admin.GetRouteStatistics | ( | string | name | ) |
| inline

Returns statistical information about the route with specified name.

Parameters

  name | name of the route.

Returns
  RouteInfo object or null if route with such name does not exist or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if name is not a legal route name.

StoreInfo TIBCO.EMS.ADMIN.Admin.GetStoreInfo | ( | Store | store | ) |
| inline

Get a summary of the usage of a store file.

Parameters

  store | the store file to summarize. See Store

Returns
  a StoreInfo object detailing the usage of the store file.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if store is invalid

Deprecated:
  Use GetStoreInfo(String name) instead

StoreInfo TIBCO.EMS.ADMIN.Admin.GetStoreInfo | ( | String | name | ) |
| inline

Get information about a store.

Parameters

  name | retrieve information about the store with this name

Returns
  cref="FileStoreInfo" or cref="DbStoreInfo" or cref="MStoreInfo" object detailing configuration and usage of the store.

Exceptions

  AdminException | if not authorized or an error occurred.

since EMS 5.0

String [] TIBCO.EMS.ADMIN.Admin.GetStores | ( |  | ) |
| inline

Get a list of configured stores.

Returns
  an array of Sring objects containing individual store names.

Exceptions

  AdminException | if not authorized or an error occurred.

EMS 5.0

SubscriptionInfo [] TIBCO.EMS.ADMIN.Admin.GetSubscriptions | ( |  | ) |
| inline

Returns all subscriptions in the server.

Returned array may be of 0 length if there is no subscription in the server. Returned subscriptions are not sorted and placed in the array in any order. Application may need to sort the subscriptions in application-specific order if required.

This method is equivalent to calling method `GetSubscriptions(0, null, null)`. Refer to documentation of GetSubscriptions(int, string, string) for detailed information.

Returns
  Array of all subscriptions in the server or array of 0 length.

See Also
  GetSubscriptions(int, string, string)

Exceptions

  AdminException | if not authorized or an error occurred.

SubscriptionInfo [] TIBCO.EMS.ADMIN.Admin.GetSubscriptions | ( | int | filterFlags,
|  | String | name,
|  | String | topicName
| ) |  |
| inline

Returns subscriptions matching specified filters.

Returned array may be of 0 length if there is no subscription in the server which match specified filters.

This method returns only subscriptions matching filters specified by parameters `filterFlags`, `name` and `topicName`.

Filters may be omitted by specifying `0` or `null` value.

Returned subscriptions are not sorted and placed in the array in any order. Application may need to sort the subscriptions in application-specific order if required.

- Calling `GetSubscriptions(0, null, null);` returns all subscriptions known to server.
- Calling `GetSubscriptions(Admin.SUBSCRIPTIONS_FILTER_DURABLE_ONLY, null, null);` returns all durable (shared or not shared) subscriptions.
- Calling `GetSubscriptions(Admin.SUBSCRIPTIONS_FILTER_DURABLE_ONLY + Admin.SUBSCRIPTIONS_FILTER_SHARED_ONLY, null, "news.*");` returns all shared durable subscriptions on any topic matching topic `"news.*"`.

Returns
  Array of subscriptions or array of 0 length.

Parameters

  filterFlags | value can be any combination of SUBSCRIPTIONS_FILTER_DURABLE_ONLY, SUBSCRIPTIONS_FILTER_NO_DURABLE, SUBSCRIPTIONS_FILTER_SHARED_ONLY and SUBSCRIPTIONS_FILTER_NO_SHARED.
  name | specifies that only subscriptions with this name should be returned.
  topicName | specifies that only subscriptions on a topic matching this topic name should be returned.

See Also
  GetSubscriptions()

Exceptions

  ArgumentException | if parameter `filterFlags` is invalid.
  AdminException | if not authorized or an error occurred.

TopicInfo TIBCO.EMS.ADMIN.Admin.GetTopic | ( | string | topicName | ) |
| inline

Get the topic for the given topic name.

Parameters

  topicName | The name of the topic to get.

Returns
  The TopicInfo for the given name or null if the name is not found.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if topicName is not a legal topic name

ACLEntry [] TIBCO.EMS.ADMIN.Admin.GetTopicACLEntries | ( | string | topicName | ) |
| inline

Get all ACL entries pertaining to the topic with the given topicName.

Parameters

  topicName | Topic name.

Returns
  the array of ACLEntries for the given topic.

Exceptions

  AdminException | if not authorized or some error occurred.
  AdminInvalidNameException | if topicName is not a legal topic name.

TopicInfo [] TIBCO.EMS.ADMIN.Admin.GetTopics | ( | string | pattern | ) |
| inline

Get the information for the topics that match the given pattern.

The pattern may contain the wildcards "*" and ">" . See the TIBCO EMS documentation for how wildcards work in topic names. A pattern of "", ">", or null will return all the topics.

Parameters

  pattern | The pattern that must be matched

Returns
  The TopicInfos that match the pattern.

Exceptions

  AdminException | if not authorized or an error occurred.

TopicInfo [] TIBCO.EMS.ADMIN.Admin.GetTopics | ( | string | pattern,
|  | RequestDestInfo | permanenceType
| ) |  |
| inline

Get the information for the topics that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return topics only of specified types.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in topic names. A pattern of "", ">", or null will return all the topics if permanenceType is DestGetAll.

Parameters

  pattern | The pattern that must be matched
  permanenceType | The permanenceType can be either RequestDestInfo.DestGetNoTemp, RequestDestInfo.DestGetStatic, RequestDestInfo.DestGetDynamic, or RequestDestInfo.DestGetAll. See RequestDestInfo.

Returns
  The TopicInfos that match the pattern and permanenceType

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if permanenceType is invalid

TopicInfo [] TIBCO.EMS.ADMIN.Admin.GetTopics | ( | string | pattern,
|  | RequestDestInfo | permanenceType,
|  | int | cursorPosition,
|  | int | cursorSize
| ) |  |
| inline

Get the information for the topics that match the given pattern and the given permanence type, (that can be any of the RequestDestInfo types) that is an indication to return topics only of specified types.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in topic names. A pattern of "", ">", or null will return all the topics if permanenceType is DestGetAll.

One can start, continue or complete a cursored scan of queues.

Parameters

  pattern | The pattern that must be matched
  permanenceType | The permanenceType can be either RequestDestInfo.DestGetNoTemp, RequestDestInfo.DestGetStatic, RequestDestInfo.DestGetDynamic, or RequestDestInfo.DestGetAll. See RequestDestInfo.
  cursorPosition | The cursorPosition can be Admin.DEST_CURSOR_FIRST, Admin.DEST_CURSOR_NEXT, Admin.DEST_CURSOR_LAST
  cursorSize | The cursorSize must be greater than zero. Note that the operation may return less than the requested size.

Returns
  The TopicInfos that match the pattern and permanenceType. Returns null when cursor is complete.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if permanenceType is invalid

TopicInfo [] TIBCO.EMS.ADMIN.Admin.GetTopicsStatistics | ( | string | pattern | ) |
| inline

Get the statistical information for the topics that match the given pattern.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in topic names. A pattern of "", ">", or null will return statistics for all the topics.

Parameters

  pattern | The pattern that must be matched

Returns
  array of TopicInfo objects with statistical data or null if no topics found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

TopicInfo [] TIBCO.EMS.ADMIN.Admin.GetTopicsStatistics | ( | string | pattern,
|  | int | cursorPosition,
|  | int | cursorSize
| ) |  |
| inline

Get the statistical information for the topics that match the given pattern.

The pattern may contain the wildcards "*" and ">". See the TIBCO EMS documentation for how wildcards work in topic names. A pattern of "", ">", or null will return statistics for all the topics.

One can start, continue or complete a cursored scan of queues.

Parameters

  pattern | The pattern that must be matched
  cursorPosition | The cursorPosition can be Admin.DEST_CURSOR_FIRST, Admin.DEST_CURSOR_NEXT, Admin.DEST_CURSOR_LAST
  cursorSize | The cursorSize must be greater than zero. Note that the operation may return less than the requested size.

Returns
  array of TopicInfo objects with statistical data or null if no topics found or statistics are disabled or when cursor complete.

Exceptions

  AdminException | if not authorized or an error occurred.

String [] TIBCO.EMS.ADMIN.Admin.GetTraceBuffer | ( | bool | clear | ) |
| inline

Reserved for internal provider use only. Do not use this method.

DetailedTransactionInfo TIBCO.EMS.ADMIN.Admin.GetTransaction | ( | TransactionInfo | transaction | ) |
| inline

Get a specific xa transaction.

Returns
  the xa transaction, represented by the TransactionInfo object.

Parameters

  transaction | The TransactionInfo object for the transaction to be inspected.

Exceptions

  AdminException | if not authorized or an error occurred.

TransportInfo TIBCO.EMS.ADMIN.Admin.GetTransport | ( | string | transportName | ) |
| inline

Get the transport with a given name.

Parameters

  transportName | the name of the transport.

Returns
  the transport or null if not found.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if transportName is not a legal transport name

UserInfo TIBCO.EMS.ADMIN.Admin.GetUser | ( | string | userName | ) |
| inline

Get the user for the given username.

Parameters

  userName | The name of the user to retrieve info for.

Returns
  the UserInfo object for the given username or null if the name is not found.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if userName is not a legal user name.

ACLEntry [] TIBCO.EMS.ADMIN.Admin.GetUserACLEntries | ( | string | userName | ) |
| inline

Get all ACL entries pertaining to the user with the given userName.

Parameters

  userName | User name.

Returns
  the array of ACLEntries for the given user.

Exceptions

  AdminException | if not authorized or some error occurred.
  AdminInvalidNameException | if userName is not a legal user name.

void TIBCO.EMS.ADMIN.Admin.Grant | ( | ACLEntry | entry | ) |
| inline

Grant the permissions specified in the given ACLEntry.

Parameters

  entry | The description of the permissions to grant.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if entry is null.

void TIBCO.EMS.ADMIN.Admin.Grant | ( | ACLEntry[] | acls | ) |
| inline

Grant the permissions specified in the given ACLEntries.

Parameters

  acls | The descriptions of the permissions to grant.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if acls is null.

void TIBCO.EMS.ADMIN.Admin.Grant | ( | AdminACLEntry | entry | ) |
| inline

Grant the administrative permissions.

Parameters

  entry | the AdminACLEntry to grant.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if entry is null.

System.Object TIBCO.EMS.ADMIN.Admin.Lookup | ( | string | name | ) |
| inline

Retrieve that administrative object bound to the given JNDI name.

Parameters

  name | The JNDI name to lookup.

Returns
  the ConnectionFactoryInfo, TopicInfo, or QueueInfo bound to the given name or null if nothing is bound to the name.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if name is not a legal name.

void TIBCO.EMS.ADMIN.Admin.PurgeDurable | ( | string | durableName,
|  | string | clientID
| ) |  |
| inline

Purge pending messages for the durable with given name and client ID.

Parameters

  durableName | The name of the durable to purge.
  clientID | The client ID associated with the durable (can be null).

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if durableName is not a legal durable name.

void TIBCO.EMS.ADMIN.Admin.PurgeQueue | ( | string | queueName | ) |
| inline

Purge pending messages from the queue for the given name.

Parameters

  queueName | The name of the queue to purge.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if queueName is not a legal queue name.

void TIBCO.EMS.ADMIN.Admin.PurgeQueues | ( | string | pattern | ) |
| inline

Purge pending messages from queues matching the given pattern.

Parameters

  pattern | a pattern indicating which queues to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if pattern is not a legal pattern.

void TIBCO.EMS.ADMIN.Admin.PurgeTopic | ( | string | topicName | ) |
| inline

Purge pending messages from the topic for the given name.

Parameters

  topicName | The name of the topic to purge.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if topicName is not a legal topic name.

void TIBCO.EMS.ADMIN.Admin.PurgeTopics | ( | string | pattern | ) |
| inline

Purge pending messages from topics matching the given pattern.

Parameters

  pattern | a pattern indicating which topics to destroy.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if pattern is not a legal pattern.

void TIBCO.EMS.ADMIN.Admin.RemoveUserFromGroup | ( | string | groupName,
|  | string | userName
| ) |  |
| inline

Remove the user for the given userName from the group for the given groupName.

Parameters

  groupName | The group that the user will be removed from.
  userName | The user to be removed.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if groupName or userName are not legal names.

void TIBCO.EMS.ADMIN.Admin.RemoveUsersFromGroup | ( | string | groupName,
|  | string[] | userNames
| ) |  |
| inline

Remove the users for the given array of userNames from the group for the given groupName.

Parameters

  groupName | The group that the users will be removed from.
  userNames | The users to be removed.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if groupName or one of the user names is not a legal name.
  ArgumentException | if userNames is null;

void TIBCO.EMS.ADMIN.Admin.ResetJACIStats | ( |  | ) |
| inline

Reset all JACI statistics counters to zero.

Exceptions

  AdminException |

void TIBCO.EMS.ADMIN.Admin.Restart | ( |  | ) |
| inline

Restart the server.

Not supported.

Exceptions

  AdminException | Not supported.

Deprecated:
  As of release 8.2.2

void TIBCO.EMS.ADMIN.Admin.Revoke | ( | ACLEntry | entry | ) |
| inline

Revoke the permissions specified in the given ACLEntry.

Parameters

  entry | the ACLEntry to revoke.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if ACLEntry is null.

void TIBCO.EMS.ADMIN.Admin.Revoke | ( | ACLEntry[] | acls | ) |
| inline

Revoke the permissions specified in the given ACLEntries.

Parameters

  acls | an array of ACLEntry objects containing the positive permissions to be revoked.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if ACLEntry array is null.

void TIBCO.EMS.ADMIN.Admin.Revoke | ( | AdminACLEntry | entry | ) |
| inline

Revoke the administrative permissions.

Only permissions specified as positive in the AdminPermissions member of supplied AdminAclEntry are taken into account and revoked. The negative permissions of participating AdminPermissions are ignored.

Parameters

  entry | the AdminACLEntry containing the positive permissions to be revoked.

Exceptions

  AdminException | if not authorized or some error occurred.
  ArgumentException | if AdminACLEntry is null.

void TIBCO.EMS.ADMIN.Admin.RollbackTransaction | ( | TransactionInfo | transaction | ) |
| inline

Roll the xa transaction back.

Parameters

  transaction | The TransactionInfo object for the transaction to be rolled back.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if TransactionInfo object is null.

void TIBCO.EMS.ADMIN.Admin.RotateLog | ( |  | ) |
| inline

Rotate server's log file.

Exceptions

  AdminException | if not authorized or an error occurred.

void TIBCO.EMS.ADMIN.Admin.SaveConfiguration | ( |  | ) |
| inline

Save any configuration changes to the server's config files.

This call is necessary when auto save mode is not set.

Exceptions

  AdminException | if not authorized or an error occurred.

void TIBCO.EMS.ADMIN.Admin.Shutdown | ( |  | ) |
| inline

Shutdown the server.

This causes the connection to the server to be lost, so subsequent calls to this object will fail with the exception of Close() method.

Exceptions

  AdminException | if not authorized or an error occurred.

void TIBCO.EMS.ADMIN.Admin.Unbind | ( | string | name | ) |
| inline

Remove the binding between the given JNDI name and the object bound to it.

Note that removing the last JNDI name for a connection factory results in the destruction of that factory.

Parameters

  name | The JNDI name to unbind.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if name is not a legal JNDI name.

void TIBCO.EMS.ADMIN.Admin.UpdateConnectionFactory | ( | string | jndiName,
|  | ConnectionFactoryInfo | cfi
| ) |  |
| inline

Save changes to the connection factory stored at the given JNDI name using information from the given ConnectionFactoryInfo.

This method can only be used to update a factory that already exists on the server. To create a new factory use the CreateConnectionFactory method.

Parameters

  jndiName | The JNDI name of the factory that will be updated.
  cfi | The updated info for the factory.

Exceptions

  AdminException | if not authorized or an error occurred.
  AdminInvalidNameException | if jndiName is not a legal JNDI name.
  ArgumentException | if ConnectionFactoryInfo object is null.

void TIBCO.EMS.ADMIN.Admin.UpdateCRL | ( |  | ) |
| inline

Update server's CRL.

Exceptions

  AdminException | if an error occurred.

void TIBCO.EMS.ADMIN.Admin.UpdateGroup | ( | GroupInfo | groupInfo | ) |
| inline

Save changes made to the given GroupInfo.

This method can only be used to update a group that already exists on the server. To create a new group use the CreateGroup method.

Parameters

  groupInfo | The group to save configuration changes for.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if GroupInfo object is null.

void TIBCO.EMS.ADMIN.Admin.UpdateQueue | ( | QueueInfo | queue | ) |
| inline

Change the properties of the queue corresponding to the given QueueInfo.

This method can only be used to update a queue that already exists on the server. To create a new queue use the CreateQueue method.

Parameters

  queue | The QueueInfo for the queue to be modified.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if QueueInfo object is null.

void TIBCO.EMS.ADMIN.Admin.UpdateRoute | ( | RouteInfo | routeInfo | ) |
| inline

Update route parameters.

This method can only be used to update a route that already exists on the server. To create a new route use the CreateRoute method.

Parameters

  routeInfo | The route info to save.

Exceptions

  AdminException | if not authorized or an error occurred.

void TIBCO.EMS.ADMIN.Admin.UpdateServer | ( | ServerInfo | info | ) |
| inline

Update the server configuration.

Parameters

  info | a ServerInfo object containing the changed configuration parameters.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if ServerInfo object is null.

void TIBCO.EMS.ADMIN.Admin.UpdateTopic | ( | TopicInfo | topic | ) |
| inline

Change the properties of the topic corresponding to the given TopicInfo.

This method can only be used to update a topic that already exists on the server. To create a new topic use the CreateTopic method.

Parameters

  topic | The TopicInfo for the queue to be modified.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if TopicInfo object is null.

void TIBCO.EMS.ADMIN.Admin.UpdateUser | ( | UserInfo | userInfo | ) |
| inline

Save changes made to the given UserInfo.

This method can only be used to update a user that already exists on the server. To create a new user use the CreateUser method.

Parameters

  userInfo | The user information to save.

Exceptions

  AdminException | if not authorized or an error occurred.
  ArgumentException | if UserInfo object is null.

## Member Data Documentation

const long TIBCO.EMS.ADMIN.Admin.ALL_CONSUMERS = -1

const int TIBCO.EMS.ADMIN.Admin.DEST_CURSOR_FIRST = 1

First cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int).

const int TIBCO.EMS.ADMIN.Admin.DEST_CURSOR_LAST = 3

Last cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int).

const int TIBCO.EMS.ADMIN.Admin.DEST_CURSOR_NEXT = 2

Next cursorPosition for requested destinations. See GetQueues(string,RequestDestInfo,int,int), GetTopics(string,RequestDestInfo,int,int), GetQueuesStatistics(string,int,int), and GetTopicsStatistics(string,int,int).

const int TIBCO.EMS.ADMIN.Admin.GET_DETAILED_STAT = 0x0002

Flag requesting both overall and detailed statistics to be returned by methods such as GetConsumers()

const int TIBCO.EMS.ADMIN.Admin.GET_SELECTOR = 0x0004

Flag requesting consumer's selector to be included into ConsumerInfo objects returned by the GetConsumers() method. GetConsumers()

const int TIBCO.EMS.ADMIN.Admin.GET_STAT = 0x0001

Flag requesting overall statistics to be returned by methods such as GetConsumers()

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_ALL = (PERMISSIONS_ALL_DEST | PERMISSIONS_ALL_ADMIN)

Permissions flag to get all permissions for a given user (destination and admin permissions both direct and inherited (i.e. as inherited from groups to which the user belogs). Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_ALL_ADMIN = (PERMISSIONS_DIRECT_ADMIN | PERMISSIONS_INHERITED_ADMIN)

Permissions flag to get all admin permissions for a given user (direct and inherited (i.e. as inhertied from groups to which the user belongs). Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_ALL_DEST = (PERMISSIONS_DIRECT_DEST | PERMISSIONS_INHERITED_DEST)

Permissions flag to get all dest permissions for a given user (direct and inherited (i.e. as inhertied from groups to which the user belongs). Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_DIRECT = (PERMISSIONS_DIRECT_DEST | PERMISSIONS_DIRECT_ADMIN)

Permissions flag to get all direct permissions for a given user (i.e. the one's directly assinged to the user). Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_DIRECT_ADMIN = 0x0002

Permissions flag to get direct admin permissions for a given user. Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.PERMISSIONS_DIRECT_DEST = 0x0001

Permissions flag to get direct dest permissions for a given user. Use this flag with GetPermissions(UserInfo, flags) API.

const int TIBCO.EMS.ADMIN.Admin.SESSION_AUTO_ACKNOWLEDGE = 2

AUTO acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_CLIENT_ACKNOWLEDGE = 4

CLIENT acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_DUPS_OK_ACKNOWLEDGE = 3

DUPS_OK acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_NO_ACKNOWLEDGE = 1

No acknowledgement mode. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_TRANSACTED = 5

Acknowledgement mode describing transacted session. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_UNKNOWN_ACKNOWLEDGE = 0

Unknown session acknowledge mode. This may be used as return value in cases, for example, when a consumer has no associated session. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.SESSION_XA = 6

Acknowledgement mode describing XA session. See ConsumerInfo.Details.GetSessionAcknowledgeMode.

const int TIBCO.EMS.ADMIN.Admin.STORE_COMPACT_NOLIMIT = -1

Used to run the store compact as a full re-write with no time limit. Valid only for mstores. See Compact(Store, long). See Compact(string, long).

Since EMS 8.3.0

const int TIBCO.EMS.ADMIN.Admin.SUBSCRIPTIONS_FILTER_DURABLE_ONLY = 0x01

Flag requesting non durable subscriptions to be filtered out. See GetSubscriptions(int, string, string).

Since EMS 8.1.0

const int TIBCO.EMS.ADMIN.Admin.SUBSCRIPTIONS_FILTER_NO_DURABLE = 0x02

Flag requesting durable subscriptions to be filtered out. See GetSubscriptions(int, string, string).

Since EMS 8.1.0

const int TIBCO.EMS.ADMIN.Admin.SUBSCRIPTIONS_FILTER_NO_SHARED = 0x08

Flag requesting shared subscriptions to be filtered out. See GetSubscriptions(int, string, string).

Since EMS 8.1.0

const int TIBCO.EMS.ADMIN.Admin.SUBSCRIPTIONS_FILTER_SHARED_ONLY = 0x04

Flag requesting non shared subscriptions to be filtered out. See GetSubscriptions(int, string, string).

Since EMS 8.1.0

## Property Documentation

ACLEntry [] TIBCO.EMS.ADMIN.Admin.ACLEntries
| get

Get all ACL entries for destinations.

Returns
  all ACL entries for destinations known to the server

Exceptions

  AdminException | if not authorized or some error occurred.

bool TIBCO.EMS.ADMIN.Admin.AutoSave
| get set

Returns true if server configuration is saved in the configuration files on disk after each change.

If auto save mode is turned off, the application should call SaveConfiguration() method in order to save the changes in the configuration files. If auto save is turned on, the server updates the configuration files on disk after every change and calls to SaveConfiguration() are not required.

Returns
  true if configuration is saved in the files after every change.

true if chages should be saved after every change in the configuration.

BridgeInfo [] TIBCO.EMS.ADMIN.Admin.Bridges
| get

Get all the bridges known to the server.

Returns
  all the bridges known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

ChannelInfo [] TIBCO.EMS.ADMIN.Admin.Channels
| get

Get all the multicast channels known to the server.

Returns
  all the multicast channels known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

Deprecated:
  As of release 8.3

CMListenerInfo [] TIBCO.EMS.ADMIN.Admin.CMListeners
| get

Get the TIBCO Rendezvous certified listeners explicitly created in the server configuration.

Returns
  array of CMListenerInfo objects.

Exceptions

  AdminException | if not authorized or an error occurred.

long TIBCO.EMS.ADMIN.Admin.CommandTimeout
| get set

Get and set the command timeout in milliseconds.

If the server does not respond to a command within specified timeout the command throws an exception. Default value is 60000 (60 seconds). Expects the timeout value in milliseconds

Returns
  the current timeout in milliseconds.

Exceptions

  ArgumentException | if value is less than 5000ms.

ConnectionFactoryInfo [] TIBCO.EMS.ADMIN.Admin.ConnectionFactories
| get

Get all connection factories in the server configuration.

Returns
  array of ConnectionFactoryInfo objects.

Exceptions

  AdminException | if not authorized or an error occurred.

long TIBCO.EMS.ADMIN.Admin.ConnectionId
| get

Get the connection id of the Admin object's connection to the server.

Returns
  the connection id of the Admin's connection to the server, or zero if the connection is closed or broken.

ConnectionInfo [] TIBCO.EMS.ADMIN.Admin.Connections
| get

Returns all connections except system connections.

System connections are connections to other servers.

Returns
  all the (non-system) connections known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

ConsumerInfo [] TIBCO.EMS.ADMIN.Admin.ConsumersStatistics
| get

Get statistical information about all consumers.

Returns
  array of ConsumerInfo objects with statistical data or null if no consumers found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

DurableInfo [] TIBCO.EMS.ADMIN.Admin.Durables
| get

Get the durable subscription information for all durables known to the server.

Returns
  the array of DurableInfos for the server.

Exceptions

  AdminException | if not authorized or an error occurred.

EMSExceptionHandler TIBCO.EMS.ADMIN.Admin.ExceptionHandler
| add remove

Add the exception handler to the Admin object's underlying connection.

See the EMS API documentation for more information about exception handlers. Note in particular that you should only use either an ExceptionListener or an ExceptionHandler, not both.

IExceptionListener TIBCO.EMS.ADMIN.Admin.ExceptionListener
| set

Sets an exception listener for the connection used by this API to communicate with the EMS server.

See the EMS API documentation for more information about exception listeners. Note in particular that you should only use either an ExceptionListener or an ExceptionHandler, not both.

Exceptions

  AdminException | if not authorized or an error occurred.

GroupInfo [] TIBCO.EMS.ADMIN.Admin.Groups
| get

Get all the groups known to the server.

Returns
  all the groups known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

ServerInfo TIBCO.EMS.ADMIN.Admin.Info
| get

Get the current set of server configuration and metrics.

Returns
  a ServerInfo object containing the current configuration and metrics for the server.

Exceptions

  AdminException | if not authorized or an error occurred.

System.Object [] TIBCO.EMS.ADMIN.Admin.Permissions
| get

Get all permission entries.

Returns
  all ACL entries known to the server. Array elements are ACLEntry and AdminACLEntry objects.

Exceptions

  AdminException | if not authorized or an error occurred.

ProducerInfo [] TIBCO.EMS.ADMIN.Admin.ProducersStatistics
| get

Returns statistical information about all producers.

Returns
  array of ProducerInfo objects with statistical data or null if no producers found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

QueueInfo [] TIBCO.EMS.ADMIN.Admin.Queues
| get

Get the information for all the queues that are known to the server.

Returns
  the QueueInfos for all the queues that are known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

QueueInfo [] TIBCO.EMS.ADMIN.Admin.QueuesStatistics
| get

Get the statistical information about all queues.

Returns
  array of QueueInfo objects with statistical data or null if no queues found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

bool TIBCO.EMS.ADMIN.Admin.RestartRequired
| get

Query a server to determine whether a restart is required to complete state changes.

This allows the server to be checked before issuing a restart.

Returns
  True if the server requires a restart to attain a state consistent with the configuration.

RouteInfo [] TIBCO.EMS.ADMIN.Admin.Routes
| get

Returns all routes known to the server.

Notice returned objects do not contain statistical data for the routes. Use GetRouteStatistics() method to obtain statistical information about the route.

Returns
  all routes known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

StateInfo TIBCO.EMS.ADMIN.Admin.StateInfo
| get

Get the current FT state of the server, along with its name, pid, version and whether or not it is running in an appliance.

Returns
  a StateInfo object containing the current FT state of the server and its name, pid, version and whether or not it is running in an appliance or null if the server does not support this method (EMS 8.0 and earlier).

Exceptions

  AdminException | if not authorized or an error occurred.

Since EMS 8.1.0

ConnectionInfo [] TIBCO.EMS.ADMIN.Admin.SystemConnections
| get

Returns all system connections.

System connections are connections to other servers.

Returns
  all the system connections known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

TopicInfo [] TIBCO.EMS.ADMIN.Admin.Topics
| get

Get the information for all the topics that are known to the server.

Returns
  the TopicInfos for all the topics that are known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

TopicInfo [] TIBCO.EMS.ADMIN.Admin.TopicsStatistics
| get

Get the statistical information for all topics.

Returns
  array of TopicInfo objects with statistical data or null if no topics found or statistics are disabled.

Exceptions

  AdminException | if not authorized or an error occurred.

TransactionInfo [] TIBCO.EMS.ADMIN.Admin.Transactions
| get

Get all the xa transactions known to the server.

Returns
  all the xa transactions known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

TransportInfo [] TIBCO.EMS.ADMIN.Admin.Transports
| get

Get all the transports known to the server.

Returns
  all the transports known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.

UserInfo [] TIBCO.EMS.ADMIN.Admin.Users
| get

Get the array of all UserInfos known to the server.

Returns
  the array of all UserInfos known to the server.

Exceptions

  AdminException | if not authorized or an error occurred.